Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(15)

Issue 1957433002: Disable layer hoisting for non-8888 canvases (Closed)

Created:
2 years, 10 months ago by robertphillips
Modified:
2 years, 10 months ago
Reviewers:
bsalomon
CC:
reviews_skia.org
Base URL:
https://skia.googlesource.com/skia.git@master
Target Ref:
refs/heads/master
Project:
skia
Visibility:
Public.

Description

Disable layer hoisting for non-8888 canvases This just stops the bleeding. A real fix would propagate the canvas' backing type down to the layer hoister. GOLD_TRYBOT_URL= https://gold.skia.org/search2?unt=true&query=source_type%3Dgm&master=false&issue=1957433002 Committed: https://skia.googlesource.com/skia/+/4e30f27164179d344f0c8efa9a691d1bc9a53e3f

Patch Set 1 #

Patch Set 2 : Guard the other code path too #

Unified diffs Side-by-side diffs Delta from patch set Stats (+6 lines, -2 lines) Patch
M src/core/SkMultiPictureDraw.cpp View 1 chunk +3 lines, -1 line 0 comments Download
M src/gpu/SkGpuDevice.cpp View 1 1 chunk +3 lines, -1 line 0 comments Download

Messages

Total messages: 15 (8 generated)
robertphillips
2 years, 10 months ago (2016-05-05 18:35:44 UTC) #5
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1957433002/20001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1957433002/20001
2 years, 10 months ago (2016-05-05 18:36:35 UTC) #7
bsalomon
On 2016/05/05 18:36:35, commit-bot: I haz the power wrote: > Dry run: CQ is trying ...
2 years, 10 months ago (2016-05-05 18:43:54 UTC) #8
commit-bot: I haz the power
Dry run: This issue passed the CQ dry run.
2 years, 10 months ago (2016-05-05 19:28:31 UTC) #10
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1957433002/20001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1957433002/20001
2 years, 10 months ago (2016-05-05 19:37:09 UTC) #12
commit-bot: I haz the power
Committed patchset #2 (id:20001) as https://skia.googlesource.com/skia/+/4e30f27164179d344f0c8efa9a691d1bc9a53e3f
2 years, 10 months ago (2016-05-05 19:38:06 UTC) #14
robertphillips
2 years, 10 months ago (2016-05-06 14:16:08 UTC) #15
Message was sent while issue was closed.
A revert of this CL (patchset #2 id:20001) has been created in
https://codereview.chromium.org/1961483002/ by robertphillips@google.com.

The reason for reverting is: Experimental revert to investigate perf regression.

Powered by Google App Engine
This is Rietveld 408576698